|  | Home · All Classes · Modules

# QXmlParseException Class Reference
[QtXml module]

The QXmlParseException class is used to report errors with the QXmlErrorHandler interface. More...

### Methods

- __init__ (self, QString name = QString(), int c = -1, int l = -1, QString p = QString(), QString s = QString())
- __init__ (self, QXmlParseException other)
- int columnNumber (self)
- int lineNumber (self)
- QString message (self)
- QString publicId (self)
- QString systemId (self)

## Detailed Description

The QXmlParseException class is used to report errors with the QXmlErrorHandler interface.

The XML subsystem constructs an instance of this class when it detects an error. You can retrieve the place where the error occurred using systemId(), publicId(), lineNumber() and columnNumber(), along with the error message(). The possible error messages are:

- "no error occurred"
- "error triggered by consumer"
- "unexpected end of file"
- "more than one document type definition"
- "error occurred while parsing element"
- "tag mismatch"
- "error occurred while parsing content"
- "unexpected character"
- "invalid name for processing instruction"
- "version expected while reading the XML declaration"
- "wrong value for standalone declaration"
- "encoding declaration or standalone declaration expected while reading the XML declaration"
- "standalone declaration expected while reading the XML declaration"
- "error occurred while parsing document type definition"
- "letter is expected"
- "error occurred while parsing comment"
- "error occurred while parsing reference"
- "internal general entity reference not allowed in DTD"
- "external parsed general entity reference not allowed in attribute value"
- "external parsed general entity reference not allowed in DTD"
- "unparsed entity reference n wrong context"
- "recursive entities"
- "error in the text declaration of an external entity"

Note that, if you want to display these error messages to your application's users, they will be displayed in English unless they are explicitly translated.

See also QXmlErrorHandler and QXmlReader.

## Method Documentation

### QXmlParseException.__init__ (self, QString name = QString(), int c = -1, int l = -1, QString p = QString(), QString s = QString())

Constructs a parse exception with the error string name for column c and line l for the public identifier p and the system identifier s.

### QXmlParseException.__init__ (self, QXmlParseException other)

### int QXmlParseException.columnNumber (self)

Returns the column number where the error occurred.

### int QXmlParseException.lineNumber (self)

Returns the line number where the error occurred.

### QString QXmlParseException.message (self)

Returns the error message.

### QString QXmlParseException.publicId (self)

Returns the public identifier where the error occurred.

### QString QXmlParseException.systemId (self)

Returns the system identifier where the error occurred.